> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Videos

> Get User Videos



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/user/videos
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/user/videos:
    get:
      tags:
        - User Profile Data
      summary: Get User Videos
      description: Get User Videos
      operationId: getApiV1UserVideos
      parameters:
        - in: query
          name: urn
          schema:
            type: string
            description: User URN
            example: ACoAABCtiL8B26nfi3Nbpo_AM8ngg4LeClT1Wh8
        - in: query
          name: username
          schema:
            type: string
            description: >-
              Username. Enabling this option will consume an additional 1
              request.
            example: gabag26
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Page number for pagination
            default: 1
            example: 1
        - in: query
          name: pagination_token
          schema:
            type: string
            description: Pagination token for pagination
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  pagination_token:
                    type: string
                    description: Pagination token for fetching more data
                    example: >-
                      dXJuOmxpOmFjdGl2aXR5OjczMTEzNzE0NTE4NjgwNTc2MDAtMTc0MzE2Njc5MDE0Ng==
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Video ID
                          example: '7310507040672538624'
                        url:
                          type: string
                          description: Video URL
                          example: >-
                            https://www.linkedin.com/feed/update/urn:li:activity:7310507040672538624
                        title:
                          type: string
                          description: Video Title
                          example: How to create a LinkedIn post
                        duration:
                          type: string
                          description: Video Duration
                          example: 58 seconds
                        activity:
                          type: object
                          properties:
                            num_likes:
                              type: number
                              description: Number of Likes
                              example: 100
                            num_comments:
                              type: number
                              description: Number of Comments
                              example: 50
                            num_shares:
                              type: number
                              description: Number of Shares
                              example: 20
                            reaction_counts:
                              type: array
                              items:
                                type: object
                                properties:
                                  type:
                                    type: string
                                    description: Reaction Type
                                    example: LIKE
                                  count:
                                    type: number
                                    description: Reaction Count
                                    example: 10
                          required:
                            - reaction_counts
                          description: Video Activity
                        thumbnail:
                          type: array
                          items:
                            type: object
                            properties:
                              width:
                                type: number
                                description: Logo width
                                example: 400
                              height:
                                type: number
                                description: Logo height
                                example: 400
                              url:
                                type: string
                                description: Logo URL
                                example: >-
                                  https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                              expires_at:
                                type: number
                                description: Logo expires at
                                example: 1748476800000
                          description: Video Thumbnail
                        created_at:
                          type: string
                          description: Video Created At
                          example: 4d ago
                    description: User Videos
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````